Subject: Re: [PATCH 2/4] ref-filter: add ref-filter API

From: karthik nayak <[email-masked]>
Date: Thu, 21 May 2015 23:29:03 +0530

> I miss a high-level description of what the code is doing. Essentially,
> there's the complete repository list of refs, and you want to filter
> only some of them, right?
>
>  From the name, I would guess that ref_filter is the structure describing
> how you are filtering, but from the code it seems to be the list you're
> filtering, not the filter.

Reading this again, A bit confused by what you're trying to imply. Could 
you rephrase please?